| eRPC Generator (erpcgen) Rev. 1.8.1 NXP Semiconductors

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
IntegerValue Class Reference

64-bit integer value. More...

`#include <Value.h>`

Inheritance diagram for IntegerValue:

## Public Types
enum | int_type_t { kSigned, kSignedLong, kUnsigned, kUnsignedLong }
| Supported sizes of integers.

## Public Member Functions
| IntegerValue (int_type_t type=kSigned)
| Constructor.
| IntegerValue (uint64_t value, int_type_t type=kSigned)
| Constructor. More...
| IntegerValue (const IntegerValue &other)
| Copy constructor. More...
virtual std::string | getTypeName () const
| Get IntegerValue type name. More...
virtual size_t | getSize () const
| Get IntegerValue type size. More...
uint64_t | getValue () const
| This function returns value. More...
int_type_t | getIntType ()
| This function returns signed/unsigned type. More...
| operator uint64_t () const
| Casting operator. More...
IntegerValue & | operator= (int64_t value)
| Assign operator. More...
virtual std::string | toString () const
| Get IntegerValue type string representation. More...
virtual Value * | clone () const
| Clone IntegerValue. More...
Public Member Functions inherited from Value
| Value (value_type_t theType)
| Constructor. More...
virtual | ~Value ()
| Destructor.
virtual value_type_t | getType () const
| Get Value type. More...

## Protected Attributes
uint64_t | m_value
| The integer value.
int_type_t | m_intType
| The integer type.

## Detailed Description

64-bit integer value.

## Constructor & Destructor Documentation

IntegerValue::IntegerValue | ( | uint64_t | value,
|  | int_type_t | type = `kSigned`
| ) |  |
| inline

Constructor.

Parameters

  [in] | value | IntegerValue value.

IntegerValue::IntegerValue | ( | const IntegerValue & | other | ) |
| inline

Copy constructor.

Parameters

  [in] | other | IntegerValue to copy.

## Member Function Documentation

virtual Value* IntegerValue::clone | ( |  | ) | const
| inline virtual

Clone IntegerValue.

Returns
  Cloned IntegerValue.

Implements Value.

int_type_t IntegerValue::getIntType | ( |  | ) |
| inline

This function returns signed/unsigned type.

Returns
  value IntegerValue type.

virtual size_t IntegerValue::getSize | ( |  | ) | const
| inline virtual

Get IntegerValue type size.

Returns
  IntegerValue type size.

Implements Value.

virtual std::string IntegerValue::getTypeName | ( |  | ) | const
| inline virtual

Get IntegerValue type name.

Returns
  IntegerValue type name.

Implements Value.

uint64_t IntegerValue::getValue | ( |  | ) | const
| inline

This function returns value.

Returns
  value IntegerValue value.

IntegerValue::operator uint64_t | ( |  | ) | const
| inline

Casting operator.

Returns
  value IntegerValue value.

IntegerValue& IntegerValue::operator= | ( | int64_t | value | ) |
| inline

Assign operator.

Parameters

  [in] | value | IntegerValue value.

Returns
  IntegerValue reference.

virtual std::string IntegerValue::toString | ( |  | ) | const
| inline virtual

Get IntegerValue type string representation.

Returns
  IntegerValue type string representation.

Implements Value.

The documentation for this class was generated from the following file:

- Value.h